fade_from(3)

NAME
fade_from - Gradually fades the palette between two others. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void fade_from(const PALETTE source, const PALETTE dest, int speed);

DESCRIPTION
Fades gradually from the source palette to the dest palette. The speed is from 1 (the slowest) up to 64 (instantaneous). Note that this function will block your game while the fade is in effect, and it won't work right visually if you are not in an 8 bit color depth resolution.

SEE ALSO
fade_in(3), fade_out(3), fade_interpolate(3), fade_from_range(3)